#!/usr/bin/env bash

# Benchmark info
echo "TIMING - Starting main script at: $(date)"

# Set working directory to home directory
cd "${HOME}"

#
# Start Jupyter Notebook Server
#

# Purge the module environment to avoid conflicts
module purge

# Load the require modules
module load jupyterlab/<%= context.version %> <%= context.modules %> texlive/2019

# List loaded modules
module list

# Benchmark info
echo "TIMING - Starting jupyter at: $(date)"

# Launch the Jupyter Notebook Server
set -x

CMD="jupyter lab --config='${CONFIG_FILE}' <%= context.extra_jupyter_args %>"

<% if context.force_newgrp == "true" %>
  # Conf mainly for ABiMS which will force or newgrp/sg before opening the session
  # The intermediate script is because sq don't load profile and so, module isn't available
  echo "source /etc/profile; $CMD" > jupyter_laucher.sh
  sg <%= context.slurm_account %> -c "bash jupyter_laucher.sh"
<% else %>
  eval ${CMD}
<% end %>
